A file that changes the appearance and layout of the QCD player.

A keyboard shortcut for executing a command.

The default skin used by QCD, and shown in the illustrations in this Help. To restore the base skin, type Control-0 (zero).

A grouped set of skins. The individual skins behave like 'modes' of appearance and layout.

A common format for compressed digital music files.

Introducing QCD

Welcome to the QCD Player help system! Use this information to understand how to use your QCD player most effectively.

If you want to find out about the controls and buttons on the QCD Player (base skin ), go to The QCD Controls.

Tip: All the features of the player are also accessible via the Main Menu and hot key commands.

If you want to learn how to get started with QCD, go to any of these topics:

Playing a CD

Playing an Audio File

Playing a Stream

Using the Playlist

Controlling the Volume

Changing Skin Modes

QCD Encoder Controls

The QCD Controls

The illustration below shows all the controls as they appear on the QCD base (default) skin. Click on any number to see what the control does.

Note: Other skins may not have all these features, or will give the controls very different locations and appearances than shown here. If you want to find a certain control, and QCD does not appear as shown below, just type Ctrl-0 (zero) to restore the default skin.

Tip: Use the Message Area (#1 below) to remember what each control does. As you move your mouse pointer over the controls on the QCD base skin, the Message Area describes what it does. If a description appears in parentheses, a right-click shortcut menu is available. For example, as you move your mouse pointer over the Time Display (#5 below), the Message Area shows "play time (settings)", which tells you that this control shows the play time, and you can click your right mouse button to bring up 'settings' for the play time display.

Here's the QCD base skin. Click a number to see what the control does.

#

Control Name

What it does

1

QCD Message Area

Displays control descriptions (tool tips) as well as event, status, and error messages.

Control descriptions in parentheses ( ) indicate something you can do with the right mouse button.

2

Menu button

Opens the QCD main menu.

3

Playlist Time button

Displays the time for the full Playlist (all tracks).

4

Track Time button

Displays the time for the track currently playing.

5

Time Display window

The main time display; shows the track or Playlist time elapsed or remaining.

back to illustration

6

Elapsed Time button

Displays the total elapsed time in the track or Playlist.

7

Remaining Time button

Displays the remaining time in the track or Playlist.

8

Visual effects level

Controls the reaction level of the visual effects to the music.

9

Visual Effects Area

Displays visual effects which react to the beat of the music. If nothing is displayed, use the Next Visual Effect button to turn the visual effect on.

back to illustration

10

Always On Top button

Keeps player on top of other windows.

11

Change Skin Mode buttons

The single arrow switches to the next (or previous) skin mode in the currently loaded skin family . The double arrow switches to the last (or first) mode in the skin family.

12

Minimize Window button

Minimizes the QCD window (excluding the Playlist extended area if it is detached) to the taskbar or system tray.

13

Close button

Closes the QCD player.

14

Help button

Displays QCD Help.

back to illustration

15

Next Visual Effect button

Displays the next visual effect.

16

Full-screen and Visual Effects Window buttons

The upper button launches the full-screen visualization when music is playing.

The lower button opens a separate window for displaying the visual effects (normally displayed in #9), so that you can move or resize the visualization area. Caution: The larger the visualization window, the more computation resources required, which may slow down other applications' performance.

17

Album / Artist Name display

Displays the artist and album name for the currently playing track. If the track is an MP3 or other digital music file, the album name may not be available.

18

Track Name display

Displays the track name for the currently playing track.

back to illustration

19

Playback Progress slider

Displays current location in the track or Playlist. You can drag this to fast-forward or rewind to any location.

20

Plug-in Menu button

Displays menu of options provided by various plug-ins. The contents of this menu depend on the plug-ins in use.

21

Edit Song Information button

Lets you edit information about the currently selected track. If part of a CD, the CDDB submit dialog appears. For MP3s, an ID3 tag editor appears.

22

Extended Info button

Lets you view information about any of the tracks in the Playlist (the current track, by default).

Tip: If you want see the Extended Info, but the current skin provides no visible button, just double-click the Track Name (#18), or press Ctrl +E.

23

Play/Stop/Pause/Eject/Next Track/Previous Track

Provide traditional playback controls.

back to illustration

24

Volume Knob

Adjusts the QCD volume level. This only affects QCD volume (unlike the sound-card Volume in the Mixer controls (#27), which affects volume for all applications on your computer).

25

Equalizer/Mixer button

Displays/hides the Equalizer and Mixer controls.

26

Equalizer controls

Graphic equalizer sliders let you shape the tone on a frequency-by-frequency basis. This is only supported with some plug-ins (such as MP3 playback).

27

Balance control

Balance adjusts the QCD left-right speaker balance (if you have a stereo sound-card).

For more information, see Using the Mixer.

28

Mixer controls

Volume, Bass, and Treble adjust the sound-card settings. To adjust the volume for a specific channel, right-click on the Volume slider. Note that this sound-card Volume is different from the QCD Volume Knob (#24) because it affects all applications on your system.

To use any of the slider controls:

  • Use your mouse to drag the slider control left/right or up/down.

For more information, see Using the Mixer.

back to illustration

29

Music Browser button

Opens the Gracenote Music Browser to display more information about the currently playing artist.

30

Playlist button

Displays/hides the QCD Playlist.

In the default skin, you can drag the Playlist area away from the main body of QCD.

31

Playlist

The list of tracks queued for playing. Click on a specific track to jump to it.

back to illustration

32

Add (to Playlist) button

Adds one or more tracks to the displayed Playlist. Provides choices to add single tracks, saved playlists, folders of music, or Internet locations (URLs) that stream music.

33

Remove Tracks button

Provides choices to remove all "marked", all "unmarked", or all tracks from the Playlist.

To "mark" a track, click the track name using the right mouse button.

34

Save Playlist button

Saves the current Playlist to a file that you can load later using the Add button (#32).

35

Sort Playlist button

Provides a number of choices for sorting the Playlist.

back to illustration

36

Playlist Scrollbar

Lets you scroll through the Playlist if it's longer than the Playlist area. To use the Scrollbar, drag the slider knob and up and down, or click the up / down buttons above and below the scrollbar.

37

Search Playlist

Lets you type in all or part of a track title to search in the Playlist. To find all matches, hit Enter after you type your search word(s). Use down and up arrows to go to the next or previous match.

38

Repeat Track/Repeat All toggle

Repeats the currently playing track or the entire Playlist.

39

Shuffle button

Shuffles the order of the Playlist.

40

Equalizer preset controls

Arrow buttons move through the list of preset equalizer settings. The "Pre" button lets you save or recall a preset.

41

Encoder button

Toggles the QCD Encoder and the QCD Playlist.

back to illustration

42

Encode Source button

Lets you choose your CD Recording source.

43

Encode Settings button

Opens the Encoder Plug-ins settings window to configure the location and format of recorded audio files.

44

Close Encoder button

Closes the Encoder window.

45

Encoder Scrollbar

Lets you scroll through the Encoder List if it's longer than the Encode List area. To use the Scrollbar, drag the slider knob and up and down, or click the up / down buttons above and below the scrollbar.

46

Encoder List

The list of tracks queued for encoding. Click on a specific track to select/deselect it.

47

Select All button

Selects all tracks in the Encoder list for encoding.

48

Select None button

Deselects all tracks in the Encoder List.

49

Explore Encode Folder button

Opens the current encode folder where encoded files are saved.

50

Encoding Stop button

Stops all encoding.

51

Encoding Start button

Starts Encoding all files queued in the Encoder List.

back to illustration


Playing a CD

Most of the time, all you have to do is insert a CD into your CD ROM drive, and QCD will load it into the Playlist and start to play the first track.

If the CD does not play automatically, you may need to check your Preferences settings.

To set QCD to play CDs automatically upon playback:

  1. Bring up the QCD Preferences (Ctrl+P or use the menu button at the top left of the base skin).

  2. Go to the Plug-ins->Input Preferences page.

  3. Select the CD Audio Plug-in and click the Configure button.

  4. In the CD Settings tab, check Add tracks to playlist and then check Play Added Tracks.

To manually load a CD into the Playlist:

  • Using the menu button (at the top left of the base skin), choose CD ROMs. You should see the name of the CD at the top of the menu. Select it to load the CD into the Playlist, and click the Play button to start playback.

or

  • Click the Add button in the Playlist area, and choose Load CD. You should see the name of the CD at the top of the menu. Select it to load the CD into the Playlist, and click the Play button to start playback.

For more information about loading a CD into the playlist, including combining the CD's tracks with those from other CD's or music files, see Using the Playlist.

For more information on playback of the CD, see Controlling Playback.

For more information about the encoder, see: Encoder Controls.

If the CD seems to be playing (the QCD timer is moving), but you don't hear sound, see Troubleshooting.


Playing an Audio File

To play an MP3 file or any other kind of digital music file, you first need to add it to the Playlist. There are several methods to add files to the Playlist:

Use the 'Add Music' menu:

  1. Click the Add button (#32 in the base skin), and then choose Add Music.

  2. If you don't see the Add button, or just for a shortcut: press the Insert key on your keyboard.

  3. Find the folder containing the music files.

  4. Select the file or files you want to load. To select more than one file, hold the Ctrl key while you select files. To select a range of files, use Shift-click.

  5. To avoid loading files that you may already have in your Playlist, check Add only unique files to playlist.

  6. Click Open.

  7. Click the Play button in the QCD player to being playback of tracks in playlist.

  • To play a folder of music using the 'Add Music' menu:

  1. Click the Add button (#32 in the base skin), and then choose Add Folder of Music.

  2. Find the folder you want to load, and click OK. All supported audio files in the folder and its sub-folders will be loaded.

  3. Click the Play button in the QCD player.

Tip: You can also access the 'Add Music' menu by right-clicking the Play button. This will also cause QCD to start playing the newly added files (if not already playing).

Playing audio files from Windows Explorer:

Use Windows Explorer right-click context menu:

  1. Make sure 'Show "Add" and "Play" on folder context menus in Windows Explorer' are enabled under Preferences: File Associations

  2. Highlight the files or folder of files to play in Explorer.

  3. Right-click the selected files and choose Play in QCD from the menu.

Drag and Drop files from Explorer onto QCD:

  1. Drag a music file, a selected group or music files, or a folder containing music files from anywhere on your Windows system onto the QCD player.

  2. Click the Play button in the QCD player to being playback of tracks in playlist.

Tip: If you drag and drop files onto QCD's Play button, the files will automatically play.

Drag and Drop files from Explorer onto the QCD icon:

  • Drag a music file, a selected group or music files, or a folder containing music files from anywhere on your Windows system onto the QCD icon (or shortcut).

This adds the files to the QCD Playlist. Playback will begin automatically.

For more details, see How To: Use the Playlist

For information about identification of music files, and editing the information, see Working with Audio Files.

To learn more about editing and tagging audio files, see How To: Use the Track Editor.


Playing a Stream

A stream is music data that flows from the Internet instead of from a fixed file on your system.

Use the 'Add Music' menu:

  1. Click the Add button (#32 in the base skin), and then choose Add Music.

  2. If you don't see the Add button, or just for a shortcut: press the Insert key on your keyboard.

  3. In the Open dialog box, locate the Enter URL for streaming media field, type in the URL you want, and click 'Add URL'. The stream is automatically added to your Playlist.

  4. Click the Play button. (If there is more than one track in the Playlist, double-click the stream to begin its playback)

To play a stream, follow these steps:

  1. Locate a stream on the web. A good place to start is http://www.shoutcast.com

    Most streaming web sites have a button that initiates the stream.

  2. Drag the link (button or displayed URL) that initiates the stream right from your browser window to anywhere on the QCD player. This adds the stream as a 'track' in your Playlist.

  3. Click the Play button. (If there is more than one track in the Playlist, you need to select the stream first.)

Note: Many streams on the web are linked to a playlist. If QCD is set to be the default player for PLS or M3U file types, a stream will play automatically by just clicking on it's link.

For more details, see

How To: Use the Playlist


Using the Playlist

The QCD Playlist is easy to use — you can load CDs, add files, delete items, sort the CDs in the list, and lots more!

Here's how to do some of the basics:

To open the Playlist

  • On the base skin , click the Playlist button. To find the exact location of the Playlist button, go to the base skin and locate #30. The Playlist controls are those numbered #32 - 39.

To load a CD into the Playlist

  • Read Playing a CD.

To add audio files and streams to the Playlist

Read the Playing an Audio File and Playing a Stream sections.

To remove a track from the Playlist

  1. First, select the track(s) you want to remove: Click the track you want to remove. To select more than one track, hold the Ctrl key and select additional tracks. To select a range of tracks in the Playlist, Shift-click on another track.

  2. Click the Delete button, and the choose Remove Selected. QCD deletes the selected track(s) from the Playlist.

To save your Playlist

  • On the base skin, and at the top of the Playlist, click the Save button, and choose Save Playlist As.... Your Playlist will be saved to a file that can be loaded anytime.

To sort the Playlist

On the base skin and at the top of the Playlist, click the Sort button, and then make a choice from the menu list.

Tip: To find the exact location of the Delete, Save, and Sort Playlist buttons, go to the base skin and locate #33 - 35.

For a more complete list of the things you can do with the Playlist, see How To: Use the Playlist.

To learn about editing tracks in the playlist, see How To: Use the Track Editor.


Controlling the Volume

Typical soundcards have several different channels that control the sound level of different components such as CD audio and digital file audio. QCD gives you a lot of control over how to best control its volume levels.

The 'Player Volume' (#24 on the base skin) is a one-stop volume control that will adjust the volume for any audio format and should meet your needs in most cases. The Player Volume sets the level that QCD will playback at. You should take note of this level if you choose to change the volume with other applications (such as Windows built in mixer) as QCD may reset its playback volume to its set level.

The 'Mixer Volume' (#27 on the base skin) allows you to set the volume levels on the soundcard directly. Use this control if you want to adjust system sound levels or need to adjust a non-standard mixer channel.

To adjust the QCD 'player' volume

  • In the main body of the base QCD skin , click and drag the Volume knob.

  • Drag the knob to the right or up to increase the volume level, to the left or down to decrease the volume level.

    You must hold down the mouse button while you move the mouse for the volume control to work.

To adjust the soundcard mixer volume

  • In the Equalizer section of the base QCD skin, click and drag the mixer volume control.

  • Note: right-click the mixer volume control to select a different channel for it to control

Selecting correct soundcard channel for adjusting the CD Audio volume.

Because systems can vary wildly in how CD-ROMs and soundcards are configured you should set how QCD will control the volume channels for each CD-ROM drive.

    1. Bring up the QCD Preferences (Ctrl+P or use the menu button at the top left of the base skin).

    2. Go to the Plug-ins >Input Preferences page.

    3. Select the CD Audio Plug-in and click the Configure button.

    4. In the Volume Settings tab, select the CD-ROM drive on the left, and on the right side select the corresponding volume channel (usually the first option in the list, or "CD Audio").

See also:

"How To" Use the Mixer. "How To" Use the Equalizer.

If you have problems adjusting the volume, see Troubleshooting.


Changing Skin Modes

When you use QCD, you are not limited to the looks of the base player or skin — you can easily change the appearance of a skin by switching the skin mode. If you're using the default QCD family skin, there are several choices available to you — 'Kong' (full display), 'Retro' (display is somewhat smaller), and 'Runt' (most streamlined mode which takes up the least amount of space on your desktop).

To change a skin mode

  • On the base skin, click the Next/Previous Mode or Last Mode button. (These are the arrows #10 and #11 on the base skin.)

    or

  • Type Alt-S. This is a convenient shortcut. Especially if don't see the mode buttons on the currently loaded skin.

For more information about working with skins, including how to download new skins and load them into QCD, see:

"How To" Work with Skins


Recording a CD

The default skin used by QCD, and shown in the illustrations in this Help. To restore the base skin, type Control-0 (zero).

The QCD Encoder Controls

The QCD Encoder allows you to encode your audio CD's and files right onto your computer! You can choose from many different formats such as mp3 or wav.

The illustration below shows all the encoding controls as they appear on the QCD base (default) skin. Click on any number to see what the control does.

Note: Other skins may not have all these features, or will give the controls very different locations and appearances than shown here. If you want to find a certain control, and QCD does not appear as shown below, just type Ctrl-0 (zero) to restore the default skin.

Tip: As you move your mouse pointer over the encoder controls on the QCD base skin, the Message Area describes what it does.

Here's the QCD encoder window. Click a number to see what the control does.

# | Control Name | What It Does
1 | Encoder button | Toggles the QCD Encoder window.
2 | Encoding Source button | Lets you choose your CD encoding source.
3 | Encode Settings button | Opens the Encoder Plug-ins settings window to configure the location and format of encoded audio files.
4 | Close Encoder button | Closes the encoder.
5 | Encoder List | The list of tracks queued for encoding. Click on a specific track to queue it on or off.
6 | Select All button | Selects all tracks in the Encoder List for encoding.
7 | Select None button | Deselects all tracks in the Encoder List.
8 | Explore Encode Folder button | Opens the current encode folder where encoded files are saved.
9 | Encoding Stop button | Stops encoding.
10 | Encoding Start button | Starts encoding files queued in the Encoder List.
11 | Encoder Scrollbar | Lets you scroll through the Encoder List if it's longer than the Encode List area. To use the Scrollbar, drag the slider knob and up and down, or click the up / down buttons above and below the scrollbar. back to illustration

For more information about encoding music from a CD to your hard drive, see How To: Encode Music from a CD.

For information about encoding music files, see How To: Encode Music Files.


Control Playback

Here's all you need to know about controlling playback — one tip that makes it even easier to understand what's going on:

As you move your cursor over the buttons and controls on the QCD base skin , a description appears in the system message area. If the right click shortcut menu is available, the description appears in the same system message area in brackets like this: ( ).

To: | Do this: (all control references are for the base skin)
Start playback | click the large green Play button in the playback control area (clicking Play while already playing will do nothing).
Stop playback | click the large green Stop button in the playback control area.
Pause playback | click the green Pause button in the playback control area.
Go to the next track | click the green Next Track button in the playback control area.
Go to a previous track | click the green Previous Track button in the playback control area when the current track is less than 5 seconds elapsed.
Go to start of current track | click the green Previous Track button in the playback control area when the current track is more than 5 seconds elapsed.
Go to any point in current track | click and drag the Progress Slider to any position in the track (#19 on the base skin).
Go to a specific track | in the Playlist section, double-click the track you want from the list.
Eject a CD | click the green Eject button in the playback control area. On the menu that appears, select the CD-ROM to eject.
Load a new set of files to play | click the green Eject button in the playback control area. On the menu that appears, select the 'Replace Playlist' option.
Seek ahead 5 seconds | On your computer keyboard, press the right arrow.
Seek back 5 seconds | On your computer keyboard, press the left arrow.

Tip: To find the exact location of the Playback controls, go to the base skin and locate #23.


Using the Playlist

The Playlist contains the list of tracks you are playing. There are many things you can do in the Playlist. (Click on each topic for details):

  • Display, hide, or move the Playlist

  • Load CDs and files into the Playlist

  • Save and reload preset Playlists

  • Control playback using the Playlist (reorder, block, delete tracks, etc.)

  • Do a number of tasks using the one-click Playlist menu (right-click)

Displaying the Playlist

To: | Do this:
Display/hide the Playlist | Click the Playlist button (#30 in the base skin).
Separate the Playlist from the player body | Just drag the Playlist body away from the body of the QCD player.
Reattach the Playlist to the player body | Just drag the Playlist back to its original position. When you get close enough, the Playlist will snap into its correct position and reattach to the body of the QCD player.

Loading the Playlist

There are many ways to load the Playlist with tracks:

To:

Do this:

Load a CD into the Playlist

  1. Click the Add button (#32 in the base skin), and then choose Load CD.

  2. If you want to replace the current playlist with the CD (removing anything currently loaded into the playlist), choose the title of the CD;
    or
    If you want to append the tracks from the CD onto the end of the Playlist, choose Add Tracks To Playlist.

Load CDs automatically when you insert them

  1. Bring up the QCD Preferences (Ctrl+P or use the menu button at the top left of the base skin).

  2. Go to the Plug-ins >Input Preferences page.

  3. Select the CD Audio Plug-in and click the Configure button.

  4. In the CD Settings tab, check Add tracks to playlist.

Add music files to the Playlist

  1. Click the Add button (#32 in the base skin), and then choose Add Music.

    or

    If you don't see the Add button, or just for a shortcut: press the     Insert key on your keyboard.

  2. Find the folder containing the music files.

  3. Select the file or files you want to load. To select more than one file, hold the Ctrl key while you select files. To select a range of files, use Shift-click.

  4. To avoid loading files that you may already have in your Playlist, check Add only unique files to playlist.

  5. Click Open.

Add a folder of music files to the Playlist

  1. Click the Add button (#32 in the base skin), and then choose Add Folder of Music.

    or

    If you don't see the Add button, or just for a shortcut: press     Shift+Insert on your keyboard.

  2. Find the folder you want to load, and click OK.

  3. All supported audio files and playlists from that folder will be loaded

Add streaming audio to the Playlist

  1. Click the Add button (#32 in the base skin), and then choose Add Music.

    or

    If you don't see the Add button, or just for a shortcut: press the     Insert key on your keyboard.

  2. At the bottom of the Open window, type the URL of the stream into the box labeled Enter URL for streaming media.

  3. Click Open URL.

Tip: The easiest way to add a stream to your Playlist is just to drag the URL for a stream from your browser window onto QCD. For more details, see Playing a Stream.

Restore the Playlist on startup

  • Bring up the QCD Preferences (Ctrl+P or use the Menu button). Choose Media Loading, and then check the Restore previous Playlist on startup box.

Saving and loading preset playlists

You can also save a Playlist and re-load it later. (Note: while you can exchange Playlist files with other people, remember that the Playlist doesn't actually contain the music. A Playlist file only contains the list of what tracks to play and in what order.)

To:

Do this:

Save the Playlist

  1. Click the Save button in the Playlist area (#34 in the base skin).

  2. Choose Save Playlist As...

  3. Use the Save as type menu to select the format of the Playlist file. QCD can read and write Playlists in either PLS (the default) or M3U format. If you plan to export QCD Playlists into other player programs, find out what format they can read.

  4. Select the location and filename of the playlist file, and click Save.

Tip: If you save all your playlists in the same folder as the playlist folder (or subfolder) they will be easy accessed by the Load Playlist menu option of the Add menu.

Save changes to the currently loaded Playlist

Once you have saved a Playlist file once, you don't have to specify the name of the file again.

  1. Click the Save button in the Playlist area (#34 in the base skin).

  2. Choose Save Playlist

QCD will save the Playlist in the same file. If you want to make a new file, use the Save Playlist As ... command.

Convert a folder of music files into a Playlist

  1. Make sure the folder contains only the music files you want in the playlist you are creating.

  2. Click the Save button in the Playlist area (#34 in the base skin).

  3. Choose Create Playlist From Folder

  4. Locate the folder of music files and click OK.

  5. Select the location and filename of the playlist file, and click Save.

Load a Playlist

  1. Click the Add button in the Playlist area (#32 in the base skin).

  2. Choose Load Playlist. The menu shows the contents of the Playlist folder you last loaded from (if any).

  3. If the Playlist you want appears in the lower part of the menu, select it to load the Playlist.

  4. If the Playlist does not appear, select the top item in the menu (the path of the current Playlist folder) and find the location of the Playlist folder.

Controlling playback of the tracks using the Playlist

Once you have tracks in the Playlist, here is how you can customize the playback:

To:

Do this:

Move a track on the Playlist

  • In the Playlist, click and drag the track you want to the desired position.

Move multiple tracks on the Playlist

  1. Select the tracks you want to move. To select more than one track, use Ctrl-click. To select a range of tracks, use Shift-click.

  2. Drag one of the selected tracks to the desired location.

Block/unblock tracks (skip during playback)

  • Click the selected item with right mouse button and choose Block. Clicking again acts as toggle to unblock tracks.

Remove tracks from the Playlist

  1. Select the tracks you want to delete. To select more than one track, use Ctrl-click. To select a range of tracks, use Shift-click.

  2. At the top of the Playlist, click the Delete button (#33 in the base skin), and then choose Remove Selected.

Copy (duplicate) tracks on the Playlist

  • Locate and select the track you want to copy, hold down the Shift key, and then drag the track to another location in the Playlist.

A copy of that track will be inserted in the Playlist.

Randomize playback of Playlist

  • At the bottom of the Playlist, click the Shuffle button (#37 of the base skin).

Repeat all tracks

  • At bottom of Playlist, click the Repeat all button (#39 of the base skin).

Repeat the current track

  • At the bottom of the Playlist, click the Repeat button (#38 of the base skin).

Using the Playlist menu (right-click)

The Playlist menu lets you do a number operations just by right-clicking on a track.

To:

Do this:

Edit the artist/title information for a track

  1. Right-click on the track and choose Edit.

  2. If this is a track from a CD, this brings up the Edit window from the Gracenote CDDB service to let you edit the CD data.

  3. If this is a music file, this brings up a window for editing the tags in the music file.

Remove tracks from playlist

  1. Select the track or tracks you want to delete. To select more than one track, use Ctrl-click. To select a range of tracks, use Shift-click.

  2. Right-click on one of the selected tracks and choose Remove.

Delete tracks from hard drive (send to recycle bin)

  1. Select the track or tracks you want to delete. To select more than one track, use Ctrl-click. To select a range of tracks, use Shift-click.

  2. Right-click on one of the selected tracks and choose Delete.

Crop the Playlist (remove all but selected tracks)

  1. Highlight the track or tracks you want to keep. To highlight more than one track, use Ctrl-click. To highlight a range of tracks, use Shift-click.

  2. Right-click on one of the selected tracks and choose Crop.

Block or unblock tracks (skip during playback)

  1. Select the track or tracks you want to block. To select more than one track, use Ctrl-click. To select a range of tracks, use Shift-click.

  2. Right-click on one of the selected tracks and choose Block.

  3. To unblock tracks, right click again and select Block to clear the checkbox next to it.

Play a track

  • Right-click on the track and choose Play > Play from here.

QCD will jump immediately to that spot in the Playlist and start playing the track. When done playing the track, QCD will continue playing the track following the one you selected.

This is equivalent to double-clicking the track in the Playlist.

Queue up the next track to play.

  • Right-click on the track and choose Play > Play Next.

When QCD finishes playing whatever track is currently playing it will then start playing the track you selected.

If no track is currently playing, nothing will happen until you click the Play button.

Play a subset of tracks in the playlist

  1. Select the track or tracks you want to play. To select more than one track, use Ctrl-click. To select a range of tracks, use Shift-click.

  2. Right-click on one of the selected tracks and choose Play > Play Selected.

Only the selected tracks will play. Selected tracks can be changed while in this mode. To stop from playing only the selected tracks, stop and restart playback.

Convert all tracks into another format

  • Right-click on the track and choose Convert > Convert All to.

  • Select the encoding format to convert into.

Convert selected tracks into another format

  • Right-click on the track and choose Convert > Convert Selected to.

  • Select the encoding format to convert into.

Open the Encode Settings Window

  • Right-click anywhere in the Playlist and choose Convert > Encode Settings.

Explore the Default Encode Folder

  • Right-click anywhere in the Playlist and choose Convert > Explore Encode Folder.

Show Artist names in the Playlist

  • Right-click anywhere in the Playlist and choose Show > Artist.

Tip: When the Playlist is all from the same artist (e.g., from a CD), turn off the Artist name for cleaner display. Displaying the Artist name is useful when listening to a Various Artists CD (e.g. a soundtrack), or when playing music files from different artists.

Show Album names in the Playlist

  • Right-click anywhere in the Playlist and choose Show > Album.

Show track lengths in the Playlist

  • Right-click anywhere in the Playlist and choose Show > Time.

Show Playlist number

  • Right-click anywhere in the Playlist and choose Show > Number.

Cancel the Playlist menu

If you right-click in the Playlist, and change your mind and want to cancel the operation, there are many ways to do this:

  • Choose Cancel at the bottom of the Playlist menu.

    or

  • Click anywhere outside the Playlist menu.

    or

  • Type the escape key (Esc) on your keyboard.


Using the Timer Display

Here are some guidelines as you use the Timer Display:

Feature: | Description:
Track timer | Shows time relative to current track. To set, click the Track Timer button (#4 on the base skin)
Playlist timer | Shows time relative to entire playlist To set, click the Playlist Timer button (#3 on the base skin)
Show time elapsed | Shows time as amount elapsed To set, click the Elapsed Time button (#6 on the base skin)
Show time remaining | Shows time as amount remaining To set, click the Remaining Time button (#7 on the base skin)
Show time with hours | Display the timer with hours noted, otherwise timer only displays minutes and seconds. To set, right-click time display area and then choose Show Hours
Show total playing time of playlist | During playback hover mouse over timer for 2 seconds. Total time is already displayed when not playing.

Tip: Options for the timer are quickly accessed by right-clicking anywhere in the time display area.


Using the Main Menu

You can configure and customize many of your QCD player features by using the Main Menu.

To get to the Main Menu

  • Right click anywhere on the skin body where there isn't a control and the main menu will appear;

    or

  • In the top left corner of the base skin, click the Main Menu button. To find the exact location of the Main Menu button, go to the base skin and locate #2.

Here's a Main Menu roadmap:

Menu Choice: | What you can do with this choice:
QCD Player | QCD Help, Find the QCD version number; view usage stats; go to the QCD web site, find list of keyboard commands
Preferences | Configure QCD including: Settings, Plug-ins, and Skins. For details, read How to: Set Preferences.
Always on Top | Set the QCD to always remain on top of whatever else is running on your desktop.
Playlist | Get to the basic Playlist options including: add files/playlists/and URL insert, add a folder, add or load CD ROM, delete, clear, mark all, and toggle marked entries, and sort, save, or clear the Playlist.
Playback | Get to the basic playback controls including Trk bwd, trk fwd, stop, pause, play, fwd 5 sec, bwd 5 sec, shuffle, repeat a single track, or repeat all tracks.
Skins | Go to the skin browser; switch to the next skin mode; identify the current skin family ; choose among modes for default QCD skin such as Kong, Retro, and Runt.
Visuals | Select Visual Effect, visual effects settings
Plug-ins | Go to the Plug-in browser, custom per-plug-in settings
Edit Music Info | Edit the music information for the track that is currently playing.
Extended Info | Get to all the details about your CDs including artist, genre, credits, and lots more!
Music Browser | Get to a selection of music sources.
Music Segments | Create, delete, and mark music segments; submit to CDDB.
Exit | Close QCD.


Using the Mixer

All the Mixer controls are located in the Equalizer/Mixer area (the red controls) on the base QCD skin. If you don't see this area extended, just click the Equalizer/Mixer button (#25 in the base skin). The Mixer controls are indicated with #27.

You can adjust either the QCD volume, or the sound-card volume. Adjusting the QCD volume only affects the playback of music in QCD. Adjusting the sound-card volume adjusts the volume for your entire computer, so it affects other applications besides QCD.

When adjusting the sound-card volume, you can adjust the overall (master) sound-card volume, or you can adjust the volume for selected channels. This lets you adjust the sound from different devices (such as CD volume and Line In (AUX) volume) to different relative levels.

Here are some of the basics:

To:

Do This:

Adjust the balance between left-right speakers

  • Click and drag the Balance slider control to the left or right.

You must hold down the mouse button while you move the mouse.

Note: Balance only works with stereo sound-cards Check the Message Area (#1 in the base skin) to see if Balance is available.

Adjust the bass and treble

  • Click and drag the Treble or Bass slider control to the left or right.

You must hold down the mouse button while you move the mouse.

Note: Not all sound-cards support control of the bass and treble. Check the Message Area (#1 in the base skin) to see if these controls are available.

Adjust the sound-card volume

  • Click and drag the Volume slider in the Mixer area.

You must hold down the mouse button while you move the mouse.

Note: This adjusts the sound volume for your entire computer, which will affect other applications besides QCD. To affect the volume in QCD only, use the Volume Knob (#24) in the main body of the QCD base skin.

Adjust the sound-card volume for individual channels

  1. Right click the Volume slider in the Mixer area. This displays a list of available channels for this sound-card.

  2. Select the channel you want to adjust.

  3. Click and drag the Volume slider in the Mixer area to adjust the level of selected channel.

For more information about volume control, see Controlling the Volume.

If you have problems, see Troubleshooting.


Using the Equalizer

The Equalizer controls are located in the Equalizer/Mixer area (the red controls) on the base QCD skin. If you don't see this area extended, just click the Equalizer/Mixer button (#25 in the base skin). The Equalizer controls are indicated with #26.

Background: An "equalizer" lets you shape the tone of playback for specific types of music (e.g., classical vs. reggae) or listening conditions (e.g., headphones vs. speakers or small bright room vs. large acoustically dead room). (It is also sometimes used to reduce an annoying hum or hiss at a specific frequency, but this is rarely an issue with CDs or digital music files.) Each of the 10 sliders controls the gain (volume) for a specific frequency range. The lowest band is centered at 60 Hz (the lowest bass tones), and the highest band is centered at 16 KHz (the highest audible frequencies). When laid out as sliders side-by-side, as in the base skin, this is sometimes called a "graphic equalizer" because the positions of the sliders suggest a graphic "shape" for the tone. However, other skins might implement the Equalizer controls as knobs or other controls that you would technically not call a "graphic" equalizer.

To:

Do This:

Turn the effect of the equalizer on or off

  • Click the On/Off button in the Equalizer controls area.

Change the equalizer levels

  • Click and drag each of the ten sliders in the equalizer to a desired position.

Raising the slider above the middle line amplifies tones in that frequency range. Lowering the slider below the middle line attenuates (makes quieter) the tones in that frequency range.

Use "preset" equalizer settings

  • Click the Pre button in the Equalizer controls and choose Presets to choose a preset by name. To do this, select the preset you want, and click Load (or just double-click the preset).

Or

  • In the Equalizer controls, click the left and right arrows labeled Prev and Next to go to the previous or next preset.

Note: QCD comes with a number of built-in equalizer presets.

Save equalizer settings as a "preset"

  1. Click the Pre button in the Equalizer controls and choose Presets.

  2. Type a name for the "preset" in the name field.

  3. Click Save.

Delete a "preset"

  1. Click the Pre button in the Equalizer controls and choose Presets.

  2. Select the "preset" you want to delete.

  3. Click Del.

Note: You cannot delete the built-in "presets" included with QCD.

Export an equalizer "preset" as a file

  1. Click the Pre button in the Equalizer controls and choose Export to EQF.

  2. Choose the location and type the filename of the file.

  3. Click Save.

Note: An equalizer "preset" is saved as an EQF file (with the extension .eqf). This is a standard EQ file format that lets you exchange Equalizer settings with other applications, other QCD users, or with a copy of QCD running on another computer.

Import an equalizer "preset" file

  1. Click the Pre button in the Equalizer controls and choose Import from EQF.

  2. Find the EQF file to import.

  3. Click Open.


Using the CDDB Music Recognition Service

The Gracenote CDDB Music Recognition Service provides all the artist, title, extended info (credits) and music browser information. The music options appear in the form of a webpage and include album cover, the current ranking in the CDDB Top 100, tour information, fan sites, and other CD's by the same artist.

For more information about CDDB go to: http://www.cddb.com.

To connect to the CDDB Music Recognition Service

  • You don't have to do anything — this happens automatically unless you turn the service off!

To set CDDB preferences

  • In the top left corner of the base skin, click the green Main Menu button, choose Preferences > Settings > Gracenote CDDB, and then select the CDDB preferences as you like.

  • More in depth CDDB settings will be found in the CDDB Library plug-in. See Preferences > Plug-ins > Libraries, select the CDDB plug-in and click configure.

To disable CDDB

  • You can set QCD from querying CDDB for any track or CD information by disabling the options in the CDDB plug-in configuration as mentioned above

  • You can set QCD to never connect to the Internet for any reason by setting the Internet Connection setting under Preferences > Setting to 'I have no Internet Connection'.


Using the Segment Editor

A segment is a piece of music other than a track — it can be a piece of music that spans several tracks, or one that's smaller than a single track. For example, a movement in a classical album might span several tracks, a guitar solo might be a small piece of a track, or a transition might start in the middle of one track and end in the middle of another track.

QCD's Segment Editor lets you define custom segments and, if you want, you can submit them to CDDB so you will always have access to them via the Internet and CDDB (everyone else can download and enjoy them, too)!

Here are some guidelines as you use the Segment Editor:

To:

Do this:

Create a music segment

  • In the top left corner of the base skin, click the Main Menu button, choose Music Segments, and then use the Segment Editor to define the music segment details.

To play a music segment

  • In the Segment Editor window, select the name of the segment, and then click the Play Segment button.

To add a music segment to a Playlist

  • In the Segment Editor window, select the segment, and then click the Add to Playlist button.


Using QuickTrack

QuickTrack provides instant access to all the tracks in the Playlist and acts as a powerful Playlist handler.

Customizing the Quick Track layout will help you use QCD more effectively. Options include displaying track times and Playlist numbers, separating out each CD ROM, sorting choices (current Playlist order and number, or by artist track) and more!

To set the Quick Track preferences

  • In the top left corner of the base skin , click the Main Menu button (#2 in the base skin), choose Preferences > Settings > QuickTrack, and then select the QuickTrack preferences as you like.

TIP: QuickTrack settings take effect immediately so you can test their results without closing the preference window

To use QuickTrack

  • On the base skin, right click anywhere in the Track Name display area, and then choose a track to play from the QuickTrack menu.

To find the exact location of the Track Name display area, go to the base skin and locate #18.


Preferences: File Types & Icons

A file that changes the appearance and layout of the QCD player.

Preferences: File Associations

Setting QCD As Your Default Player

You can set up QCD to be the default player that launches whenever you:

  • Insert a CD in your computer;

  • Open certain types of music files (for example, double-clicking on an MP3 file);

  • Play a stream on a web site.

To do this, you use the File Associations page of the QCD Preferences.

To display the File Associations Preferences page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then File Associations.

Description of items on page:

Item: | Description:
Launch QCD on CD insert (make QCD default CD player) | Set to have QCD be the player that Windows will launch when you want to play a CD. Note: Whether the CD actually starts playing, or is just added to the Playlist when you insert it, is controlled by the configuration settings of the CD Audio plug-in. To check these settings, go to the Preferences > Plug-ins > Input page, and double-click the CD Audio plug-in.
Apply Now | Click to execute changes made to options on this page
Re-register types on player start | Set to have all set extensions re-registered when QCD starts. This is to restore settings that may have been overwritten by other applications.
Show 'Add' and 'Play' on folder context menus in Windows Explorer | Set to have the 'Add to QCD' and 'Play in QCD' options added to the context menu that appears when you right-click a folder in Windows Explorer.
All, None | Click to highlight all or none of the file types listed.

Guidelines on things you can do with these settings:

To:

Do this:

Launch QCD whenever you insert a CD

  • Check the box labeled Launch QCD on CD insert.

Note: Whether the CD actually starts playing, or is just added to the Playlist when you insert it, is controlled by the configuration settings of the CD Audio plug-in. To check these settings, go to the Plug-ins > Input Preferences page, and double-click the CD Audio plug-in.

Launch QCD whenever you open a music file

  • Select the music file formats you want to play with QCD. (Use the Select All or Select None buttons.)

This causes QCD to "register" itself with Windows as the default player to use when opening these files. This registration happens automatically when you close the Preferences.

To cause QCD to register immediately (so you can see the effect without closing Preferences):

  • Click the Apply Now button.

Tip: It is recommended that you also check the box labeled Re-register types on player start. (See below.)

Launch QCD whenever you open a stream on a web site

  • Follow the instructions for music files above.

Streaming audio links are generally in one of the formats supported by QCD, such as PLS, M3U, or MP3.

Re-register QCD whenever you launch it

  • Check the box labeled Re-register types on player start.

Some player applications re-register themselves as the default player for certain formats, even after you have manually registered QCD as the default player. This checkbox causes QCD to restore itself as the default player every time you launch it.

Allow other players to register themselves

  • Uncheck the box labeled Re-register types on player start.

If you use other player programs to play certain media types, unchecking this checkbox prevents QCD from trying to re-register itself every time you launch it.

See QCD commands when you right-click on folders

  • Check the box labeled Show 'Add' and 'Play' on folder context menus in Windows Explorer.

This causes Windows to display the commands Play in QCD and Add to QCD when you right-click on a folder. Selecting these commands performs that action on all music files contained in the folder for which QCD is the default player.

Note: These two commands automatically appear whenever you right-click on a music file for which QCD is the registered default player.


Working with Audio Files

For information about playing music files, see Playing an Audio File. This section is about viewing, editing, and saving the Artist, Title, and other information associated with a music file.

Identifying the Artist and Title

When you first load a music file into the Playlist, QCD tries to identify the Artist and Title information from tags in the file, and from the filename.

Here are the steps that QCD follows to try and identify the file:

  1. In the best of cases, the music file contains a special "CDDB tag" that let QCD look up accurate Artist and Title information from the CDDB Music Recognition Service.

  2. If the file does not contain this CDDB tag, but the file contains Artist and Title information in tags in the file, it displays that information.

  3. If the file contains no tags, QCD will display the filename of the music file in the Playlist and in the Track name display area.

Tip: The reason this procedure is useful to know is that you can often edit the file and re-tag it so that identification is faster and more accurate in the future.

Editing and re-tagging the file

Re-tagging the file with better information can help ensure that the file will be identified faster and more accurately in the future and if you send the file on to other people.

To edit and re-tag the file:

  1. In the Playlist, right-click on the track and choose Edit.

  2. In the box below Comments, check to see whether the file contains the "CDDB tag".

    If this box says File is CDDB enabled, then the file already contains the CDDB tag and you don't have to edit it further.

    If this box says CDDB ID not present, the file does not contain a CDDB tag, so you will need to enter some information to help the CDDB service identify the track.

  3. Enter or correct the information you do know about the track, such as the Title, Artist, source Album, Genre, Year of recording, Track number (in the source Album), and record Label. Leave those fields blank that you don't know.

  4. Click the AutoTag button.

This re-tags the file with the information you entered, including the CDDB tag and any other information returned from a query to the CDDB service.

Viewing information about the source album

If a music file contains a CDDB tag, you can look up information about the source CD, including the other tracks on the CD, credits, album notes, and track notes.

To do this:

  1. In the Playlist, right-click on the track and choose Edit.

  2. In the box below Comments, check to see that this says File is CDDB enabled.

    If this box says     CDDB ID not present, the file does not contain a CDDB tag, and so you can't do a CDDB lookup. See the instructions above to edit/enter the information you know about the file to help the CDDB service identify the track.

  3. Click the CDDB Lookup button.

This displays the information about the source CD.

To learn more about editing and tagging audio files, see How To: Use the Track Editor.

For information about playing music files, see Playing an Audio File.


Working with Skins

With QCD, you can change the way the player appears on your desktop. When you first open QCD, what you see (the player) is actually the default base QCD skin . To understand more about how skins work, it helps to understand some of the basics:

A skin is a file that changes the appearance of your QCD player. If you want, you can group multiple skins together — when you group skins together, you end up with a skin family .

In turn, you can apply a skin family to QCD. Once you've applied the skin family to QCD, each skin kid (or skin family member) acts as a mode for the skin family. A skin mode is the skin you actually see — it's a reflection of the currently selected skin. This feature allows you to group skins that are commonly used or have a common theme, and switch between them quickly and seamlessly.

You can switch the skin mode size at any time. Each family can have up to 9 different modes, and you can name the modes any way you like! For example, the mode names Kong (full display), Retro (display is somewhat smaller), and Runt (takes up the least amount of space on your desktop) are specific to the default QCD family skin.

You can also preview and download new skins. When you preview skins, you view a sample screenshot of the skin, and if you like it, all you have to do is click Install. After installing the skin, it can be found back in the 'skin browser' section under the 'All Skins' tab (or the Family or Kids tab, depending on the type of skin you downloaded).

To work with skins, you use the Skin Browser area of the QCD Preferences window.

There are several ways to open the Skin Browser:

  • Right-click on the body of the QCD player to bring up the QCD menu and choose Skins > Skin Browser.

    or

  • Click on the main QCD Menu button (#2 in the base skin) to bring up the QCD menu and choose Skins > Skin Browser.

    or

  • Type Ctrl-S.

Here are some things you can do with skins:

To:

Do this:

Change between skin modes

  • On the base skin, click the Next Mode or Last Mode button. (These are #10 and #11 on the base skin.)

    or

  • Type Alt-S. This is a convenient shortcut. Especially if don't see the mode buttons on the currently loaded skin.

Download and install new skins

  1. Open the Skin Browser as described above.

  2. Go to the Download Skins page.

  3. Click Update Skin List to download the latest list of available skins from the QCD web site.

    Tip    : At the bottom of the window, QCD will tell you how many new skins have been made available (if any) since the last time you looked.

  4. Choose the skin family or individual skin (kid) you want from the list.

    Tip    : Use the Preview button to preview skins before downloading them.

  5. Click Install to download the skin and install it in the Skin browser.

Tip: You can better manage the list of available skins by unlisting skins you already have, or don't like. Any unlisted skins that get updated will automatically be relisted so you won't miss out.

Load a skin

  1. Open the Skin Browser as described above.

  2. Go to the Skins page. This shows all the skins and skin families you currently have installed.

  3. Click on the skin or skin family you want. This loads it into QCD.

  4. (Optional) Click the Modes button to cycle through to the mode you want.

Refresh a skin

  • Anywhere on the skin, press F5.

Group skins into families

  1. Open the Skin Browser as described above.

  2. Click the Make Custom button.

  3. Switch to a skin and mode of your choice and set it as a mode in the custom skin family by clicking Set mode on the Create Custom Skin Family window.

  4. Enter a name and description for your custom skin and then click Create.

This custom skin will appear under the Custom tab in the skin browser.

This lets you use several skins as different modes of the same skin family (so you can switch between them by typing Alt-S).

Delete a skin

  1. Open the Skin Browser as described above.

  2. Go to the Skins page.

  3. Click on the skin you want to delete. This will load it into QCD.

  4. Click Delete to delete the skin.

  5. Select another skin.

Note: You cannot delete the default QCD skin.

Have QCD load skins randomly

  1. Open the Skin Browser.

  2. Go to the Skin Options page.

  3. Check the box labeled Random skin on startup to have QCD load a different skin each time you launch it.

  4. Check the box labeled Random skin per track to have QCD change skins each track.

  5. Check the box labeled Select from the current family only if you only want QCD to switch between modes in the current skin family.

Change the font used with skins (for international support)

  1. Open the Preferences.

  2. Go to the Settings > Language & Fonts page.

  3. Check the Try Fonts option.

  4. Select the character set and font name to use.

  5. Click the Set for this skin button (or alternatively, you can set the font for all skins by clicking Set as default)

Note: This is useful if you listen to CDs or tracks that have artists or tiles with Japanese, Chinese, or other non-western characters. Skins contain built-in character sets that may not be able to display these names.


Working with Visual Effects

With QCD, it's easy to switch visuals, browse for more visual effects, change the size of the visual window, and adjust the visual gain whenever you want! QCD comes with a list of visual effects, so there are choices available to you starting with the first time you open your QCD player.

Here are some guidelines as you work with QCDs visual effects:

To:

Do this:

Get to a list of visual effects

On the base skin , right-click the Next Visual button or any where in the visual effects area, and then make a choice from the list of available effects.

or

Click the Main Menu button, choose Visuals, and the make a choice from the list of available effects.

To find the exact location of the Next Visual button, go to the base skin and locate #15.

Change a visual effect / Go to the next visual effect

Follow the step above or, in the top left corner of the base skin, click the Main Menu button, choose Visuals > Next, and then check out the Cycle Visual Effects slider.

Resize a visual effect

In the Visual Effects area of the base skin, click the External Visual Effects button. The visual effect appears in a separate window so you can easily re-size it.

To find the exact location of this button, go to the base skin and locate #16.

If the skin you are using doesn't have this button, press Ctrl+V.

Caution: Resizing the visualization window to be larger will occupy more computation resources and can affect your computer's performance.

Adjust the visual effect gain

In the Visual Effects area of the base skin, click the Visual Effects gain slider control, hold down your mouse button, and then move the cursor up and down to make the adjustment.

The gain level varies from visual to visual.

To find the exact location of this button, go to the base skin and locate #8.


Record Music from a CD

A file that changes the appearance and layout of the QCD player.

Encoding Music from a CD

With QCD, it's easy to encode your music CD's to your hard drive into any format with any filename scheme you like. In a few easy steps, QCD allows you to convert your music CD's into a neatly organized collection of audio files.

Here are some guidelines for encoding music from CD:

To: | Do this:
Bring up the encoder window. | On the base skin, click the small purple encoder button on the left side. To find the exact location of this button, go to the base skin and locate #41.
Select your CD recording source. | Make sure your audio CD is in your computer, follow the step above, then click the Source button and select the CD you want to encode. To find the exact location of this button, go to Encoder Controls and locate #2.
Change the format and location of recorded music. | Click the Settings button to bring up the Encoding Settings window. To find the exact location of this button, go to Encoder Controls and locate #3.
Select audio tracks for recording. | In the Encoder List, click on the tracks you would like encoded. A small red square appears next to the track indicating it is selected for encoding. or Click the Select All or Select None buttons located on the bottom of the encoder window. To find the exact locations of these items, go to Encoder Controls.
Start and stop recording music. | Click the red encode and stop buttons in the upper right corner of the encoder window. To find the exact locations of these items, go to Encoder Controls.
View recorded music files. | Click the folder button in the lower right corner of the encoder window to explore your default output folder. To find the exact locations of these items, go to Encoder Controls and locate #8.

For more information about the recorder, see: Encoder Controls.

For information about encoding music files, see How To: Encode Music Files.


Encode Music Files

QCD now allows you to record, convert, and encode music in a format of your choosing! You can encode your music CD's onto your computer, convert them into any format you like, such as wav or mp3, and store them in an organized fashion you select. QCD can also convert your existing audio files into other formats.

  • Select an Encoding Format

  • Encode CD's to the Hard Drive

  • Convert Audio Files into Another Format

Select an Encoding Format

Select and configure the Encoder Plug-in QCD will use for encoding new audio files.

To:

Do this:

Open the Encoding Settings window

  1. Bring up the QCD Preferences (Ctrl+P or use the menu button at the top left of the base skin).

  2. Go to the Settings >Encoding Preferences page.

  3. Choose your format using the Select Encoding Format drop down menu.

Tip: Encoder Plug-ins are available for download at www.quinnware.com.

Configure the Encoding Format

In the Encoding Settings window, click the Configure Format button to bring up settings for an individual Encoder Plug-in.

Edit the filename and location of encoded files

  1. In the Encoding Settings window, click the Root output folder: to select the default folder for encoded files.

  2. Click the Output folder\filename template: menu to select how encoded files are named and organized.

Tip: Setting the Root output folder to

"C:\My Music\Mp3\"

and the Output folder\filename template to

"artist\album\artist - album - 01 - title"

will create files with names like

"The Beatles - Rubber Soul - 05 - Think For Yourself.mp3"

which will be stored in a folder called

"C:\My Music\Mp3\The Beatles\Rubber Soul\"

Tip: Learn how to: Use the Filename Template Editor.

Encode CD's to the Hard Drive

Encode audio CD's into files on your hard drive.

To:

Do this:

Load CD tracks into the Encoder List

  1. Insert an audio CD.

  2. Click the Encoder button (#41 in the base skin).

  3. Click the Source button and select the audio CD.

  4. Select which tracks will be encoded by using the Select All or Select None buttons (#6 & #7 in the QCD Encoder Controls) or by simply clicking on tracks to select or deselect them.

Encode CD tracks onto your hard drive.

  1. Make sure the Encode Settings have been set. (#3 in the QCD Encoder Controls).

  2. Click the Encode button (#10 in the QCD Encoder Controls).

View Encoded Files

  1. Click the Explore Encode Folder button (#8 in the QCD Encoder Controls) to explore the default encode folder.

Convert Audio Files into Another Format

You can also convert your existing audio files into other formats using the Encoder Plug-ins. Convert between wav, mp3, or any other format available using the Encoder Plug-ins.

To:

Do this:

Add your audio files to the Playlist

Read the Playing an Audio File and Playing a Stream sections.

Convert your audio files.

  1. Right click on a file in the playlist.

  2. Select Convert.

  3. Select either Convert All to or Convert Selected to.

  4. Choose the format you want to convert your audio files into.

For more information about encoder settings, see: Preferences: Encoding.

To learn about encoder plug-ins, go to: Plug-ins: Encoders.

To learn about the filename templates, see How To: Use the Filename Template Editor.

For information about the encoder, see: Encoder Controls.

For more information about encoding music from a CD to your hard drive, see How To: Encode Music from a CD.


Use the Filename Template Editor

Using the Filename Template Editor

The Filename Template Editor allows you to control how your audio files are named and organized. There are two ways to use and access the Filename Template Editor:

Naming new files encoded with QCD

  • Encoded files are named and stored based on information from the source audio file or track.

Renaming audio files already on your hard drive

  • Audio files are renamed based on the current filename and/or available tag information.

To open the Filename Template Editor to configure naming of new audio files encoded with QCD:

  1. Bring up the QCD Preferences (Ctrl+P or use the menu button at the top left of the base skin).

  2. Go to the Settings >Encoding Preferences page.

  3. Click the Filename Template Editor button.

To open the Filename Template Editor to configure the renaming of audio files:

  1. Right click on a file in the playlist.

  2. Select Edit to open the Track Editor window.

  3. Click the Tag -> Filename tab.

  4. Click the Filename Template Editor button.

Editing Templates

To:

Do this:

Load a Built In Template into the Editor

Select a built-in template in the Current Templates list.

Edit a Template

Use the Track Information text box to monitor changes to the template.

To edit a single item in a template, click between the percent signs:

?ALBUM?<%ALBUM% - >

To edit a conditional statement, click between the question marks:

?ALBUM?<%ALBUM% - >

Edit a Filename

In the Filename text box, click the part of the filename template you want to change, then click the appropriate button below.

For Example: the Filename template:

"?ARTTRK?<%ARTTRK% - >?ALBUM?<%ALBUM% - >?NUMBER?<%NUMBER% - >?TITLE?<%TITLE%|%FILE%>"

will yield a Template Preview that looks like this:

"artist - album - 01 - title"

which will create a file that looks like this:

"The Beatles - Rubber Soul - 05 - Think For Yourself.mp3"

If there is no information from the source file, QCD will create a file that looks like this:

"[source_file_name].mp3"

Edit a Folder

In the Folder text box, click the part of the folder template you want, then click the appropriate button below.

For Example: the Folder template:

"?ARTALB?<%ARTALB%|unknown artist>\?ALBUM?<%ALBUM%|unknown album>"

will yield a Template Preview that looks like this:

"artist\album\"

which will create folders that look like this:

"c:\[root directory]\The Beatles\Rubber Soul\"

If the Artist and Album information is not found, QCD will create folders like this:

"c:\[root directory]\unknown artist\unknown album\"

Use a Conditional

Conditionals tell QCD what to do if template information is missing. Edit a conditional by selecting a part of the template and hitting the Conditional button.

For Example:

Putting

"%TITLE%" and "%FILE%"

in the two conditional text boxes will insert

"?TITLE?<%TITLE%|%FILE%>"

into the template. This tells QCD that if it cannot find TITLE information for an audio file, it should use the source FILE name instead.

Save a Template

After your template is set up, click the Add button to insert it into the list of Current Templates. You can now access this template from the Encoding Settings and Track Editor windows.

To learn about the Track Editor, see How To: Use the Track Editor.

For more information about encoder settings, see: Preferences: Encoding.

To learn about encoder plug-ins, go to: Plug-ins: Encoders.


Use the Track Editor

Using the Track Editor

The Track Editor is a Library Plug-in that allows you to view, edit, and organize your audio files. Information can be stored in two ways in an audio file, in the filename itself, and in something called a "Tag". You can create and update both of these using the Track Editor.

To open the Track Editor:

  1. Right click on a track in the playlist.

  2. Select Edit.

Description of items in this window:

Item: | Description:
Track Information | Display path and filename of a single track opened for editing.
Parse Button | Press this and QCD automatically scans the filename and parses that information into the tag fields below.
Commit Button | Stores all changes made to the audio file's name and tag information.
AutoTag Button | Connects to the Gracenote CDDB to identify the file. If the song is found, AutoTag fills in tag fields above.
Undo Button | Reverts any changes made to the file's name or tag.
Clear Button | Removes all tag information from the file.
File Is Read Only | Check this to prevent the file from being edited in any way.
Prompt for... | Check this to force AutoTag to verify track information with you before storing it in the file's tag.
Remove existing... | Autotag will remove the current CDDB ID and attempt to download a new one.
CDDB Lookup Button | If a file has a CDDB ID, click this to bring up extended information about the track and album.
Config Button | Brings up the Track Editor Config window.
Close Button | Closes the Track Editor.
"<< Multi Edit" / "Single Edit >>" | Toggles the Multi Track Editor Page. This Panel allows you to edit the tags and filenames of some or all songs in the playlist.
Show Paths | Check this to show the complete path of the audio files.
Remove All | Removes all files from the Multi Track Editor list.
Remove Sel | Removes only selected files from the Multi Track Editor list.
Select All | Selects all files in the Multi Track Editor list.
Add Playlist | Adds all files currently in the playlist to the Multi Track Editor list.
AutoTag | AutoTags all files currently selected.
Remove Tag | Removes the tags from all files currently selected.
Cancel | Cancels an AutoTag in progress.
Track Editor Tabs: |
Standard Tab | Displays all the standard Tag information for an audio file.
Classical Tab | Displays the Tag information for an audio file of classical music.
Misc Tab | Displays Miscellaneous Tag information.
Stream Tab | Displays the URL and Title of a stream of music.
Tag - > Filename | Use this tab with the Filename Template Editor to rename audio files based on current filenames and tag information. The Filename Preview box displays what the filename will be after renaming. Set Root Folder allows you to specify the root folder of your audio files, if Use each file's current folder as root is selected, the current folder overrides the default root folder.

To learn about the filename templates, see How To: Use the Filename Template Editor

For information about configuring the Track Editor, see How To: Configure CDDB Services and Track Editor.


Configure CDDB Services and Track Editor

Configuring CDDB Services and Track Editor

To open this window:

  1. Right click on a track in the playlist.

  2. Select Edit.

  3. Click the Config button.

or

  1. Type Control-P to bring up the Preferences window.

  2. Click Plug-ins, then Libraries, then Configure.

Description of items in this window:

Item: | Description:
CDDB Querying Tab |
Display choices... | If an exact match for your CD is not found, this allows you to select from a list of possible matches.
Prompt to submit... | If an audio CD is not found in the CDDB, this allows you to input the CD information and submit it to the CDDB.
Use CDDB data... | Downloads information about an audio file based on its embedded CDDB ID.
Display choices...files | If an exact match for your audio file is not found, this allows you to select from a list of possible matches.
Do Cached Queries Button | Sends all cached CDDB queries. This is only enabled if QCD is queuing up CDDB queries while in offline mode.
Clear Cached Queries Button | Deletes all cached CDDB queries.
Flush CDDB Cache Button | Clears all CDDB data from your computer. Warning: All data downloaded for CDs that you have played in QCD will be deleted.
Track Editor Tab | Configure the Track Editor behavior.
Supported Tag Types Tab | Tells QCD which audio file formats the Track Editor can edit.

For information about the editing track data, see How To: Use the Track Editor.


Setting Preferences

QCD has a large number of settings that let you control the behavior of the player and its plug-ins.

You can set or change QCD preferences at any time.

To bring up the Preferences window

  • In the top left corner of the base skin , click the green Main Menu button, choose Preferences.

  • Or, type Control-P (hold the Ctrl key and type P).

The Preferences window appears as follows:

The Preferences pages are grouped into three main categories: Settings, Plug-ins, and Skins.

Here is a summary of the different Preferences pages:

Page:

Lets you do this:

Settings

  • Check for updates to QCD

  • Set up connection settings, such as LAN connections and proxy settings

  • Set per-user settings if more than one user will be using the same install of QCD

  • Set QCD priority relative to other applications

Language & Fonts

  • Set the language to use for the QCD user interface (windows and messages)

  • Set the font to use for text display if you don't want to use the font built into the skin (recommended if you play international CDs or music files that use non-western characters).

File Associations

  • Assign QCD as the default application to use to open certain file formats

Media Loading

  • Control how QCD loads audio files into the playlist

  • Set up a folder to use as a "watched folder" :audio files added or removed from that folder are automatically updated in the playlist.

Icons

  • Create desktop or Quicklaunch Icons

  • Customize Icons that are used by QCD

Display

  • Control how QCD displays controls and text

  • Control the behavior of the playback progress slider

  • Controls when the music browser appears

  • Specify what information (Album, Artist, etc.) appears on the QCD icon in the taskbar

Playlists

  • Control how QCD maintains the current playlist

  • Set up a folder to use as a "Playlist folder" :playlists found under this folder will be listed in the Load Playlist menu.

Playback

  • Control how QCD plays tracks in the playlist.

Encoding

  • Select an Encoding format.

  • Set up encoded filenames and locations.

Tray Icon

  • Controls the display of the QCD icon in the Windows system tray (icons by clock in taskbar)

  • Set up the QCD functions launched with different mouse clicks (double-click, right-click, etc.) on the icon in the system tray

QuickTrack

  • Set up how the QuickTrack menu behaves. (You bring up the QuickTrack menu by right-clicking on the track information area)

Visual Effects

  • Control the behavior of visualization plug-ins, such as how much computation priority to allocate to displaying visualizations, or how often the visualizations cycle

  • Set up fullscreen visual effects resolution

Gracenote CDDB

  • Displays status and settings for the Gracenote CDDB service, which is what provides the Artist and Title information to QCD.

  • Set folder where CDDB control will store its cached information

  • Set the preferred language to use for information downloaded from the CDDB service.

For more information, see Using the CDDB Music Recognition Service.

Plug-ins

  • Control advanced settings for QCD plug-ins, such as the behavior of the plug-in cache

  • Load any new plug-ins you have installed without restarting QCD

Input

  • Select which input plug-ins QCD loads for reading different types of media

  • Configure any special settings are available for each input plug-in

  • Change the order in which the input plug-ins are loaded

Playback

  • Select which playback plug-in QCD uses for playing audio

  • Configure any special settings are available for each playback plug-in

Encoders

  • Select which encoding plug-ins QCD uses for writing different types of media files

  • Configure any special settings are available for each output plug-in

Visuals

  • Select which visual plug-ins QCD loads for generating animated visual effects

  • Configure any special settings are available for each visual plug-in

  • Start or stop the display of a certain visualization (to see what it is)

For more information, see Working with Visual Effects.

DSP

  • Select which DSP (digital sound processor) plug-ins QCD loads for special sound effects (if you have any DSP plug-ins installed)

  • Configure any special settings are available for each DSP plug-in

Libraries

  • Select which library plug-ins QCD uses for retrieving information about the loaded music or for editing music information

  • Configure any special settings are available for each library plug-in

  • Change the order in which the library plug-ins are used

General

  • Select other plug-ins that do not fall into the above categories

  • Configure any special settings are available for each plug-in

Skins

  • Set the folder to use for storing skins

  • Get more information about individual skins, skin families, or skin kids

  • Examine the different modes of the selected skin family

  • Delete skins you don't want

For more information about this page of Preferences, and the two sub-pages below, see Working with Skins.

Download Skins

  • Get the latest list of available skins for QCD

  • Preview skins

  • Download and install skins

Skin Options

  • Control how and when QCD automatically changes the displayed skin

  • Control skin effects and positioning


Preferences: Settings

The Settings page lets you do the following:

  • Check for updates to QCD

  • Set up internet connection settings, such as proxy settings.

  • Set whether you want per-user or shared settings

  • Set the priority of the player application

To display the Settings page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings.

Description of items on page:

Item: | Description:
Check for newer version | Click to query the QCD website to see if the installed version of QCD is the latest available
Auto-check after startup | Set to check for newer versions of the player every time the player starts
Internet Connection | Set this to best indicate the type of Internet connection available to QCD. If you do not want QCD connecting to the Internet for any reason, set this to 'I have no Internet connection (Never connect)'
Proxy Server | If you are connecting to the Internet through a proxy server, enter the host name and port number to connect through. If you are not connecting through a proxy, make sure this setting is blank. To specify a proxy, enter the host name and port number as 'host:port' (eg: proxyname:8080)
Username and Password | If your proxy requires a username and password, enter them here. (Username and password information is not stored locally by QCD).
Process Priority | Set QCD's process priority. Set higher if QCD is running too slowly, set lower if other programs are running too slowly.


Preferences: Language & Fonts

The Language & Fonts page lets you do the following:

  • Set the language to use for the QCD user interface (windows and messages)

  • Set the font to use for text display if you don't want to use the font built into the skin (recommended if you play international CDs or music files that use non-western characters).

To display the Language & Fonts page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Language & Fonts.

Description of items on page:

Item:

Description:

Available Languages

All currently installed languages will be listed here. Choose a preferred language.

Get More

Click to open your web browser to the Language plug-in page of the QCD website to download more languages.

Note: Not all languages are available. Most language plug-ins are created by users not affiliated with QCD. Quality of plug-ins will vary.

Fonts

Set your preferred font to be used. This will override the default fonts used in skins.

International Users: to display non-Latin languages in QCD you will need to select a suitable font here.

Try fonts

Check to enable the font selection tools

Tip: remember to click 'Set as default' or 'Set for this skin' before unchecking Try Fonts or closing the Preferences.

Set as default

Click to set the currently listed font as the default font for all skins

Set for this skin

Click to set the currently listed font as the font to use for the current skin (overrides default font)

Character Set

Selects character set to display compatible fonts for

Font Name

Selects font for display

Default font: Unset

Unsets the font to be used for all skins

Font set for this skin: Unset

Unsets the font to be used for the current skin


Preferences: Media Loading

The Media Loading page lets you do the following:

  • Control how QCD loads audio files into the playlist

  • Set up a folder to use as a "watched folder" :audio files added or removed from that folder are automatically updated in the playlist.

To display the Media Loading page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Media Loading.

Description of items on page:

Item: | Description:
Sort added files on load | Set to have files sorted alphabetically by filename as they are loaded.
Add files to top of playlist (end of playlist otherwise) | Set to have files added to the top of the playlist instead of appended to the end.
Bring player to front when loading files from Explorer | Set to have QCD appear on top of other windows whenever you load new files.
Append files to playlist by default (play otherwise) | When you launch files by double-clicking them in Windows Explorer, by default they will be played in QCD. Set this option to have the files added to the playlist instead.
Folder Mirroring | Note: Folder Mirroring will watch a folder and update the playlist based on any changes to audio files in that folder.
Enable Folder Mirroring for folder | Set to enable Folder Mirroring
Select Folder | Click to set the folder to mirror
Don't load currently existing files (load new only) | Set to ignore existing files in mirrored folder. Only files that are added or changed will be loaded.
Include subfolders | Set to also watch for any changes in all subfolders in mirrored folder.


Settings: Icons

A file that changes the appearance and layout of the QCD player.

Preferences: Icons

To display the Icons Preferences page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Icons.

Description of items on page:

Item:

Description:

Player Icons

Select the icon you want to edit.

Refresh Icons

  1. Click the Refresh Icons button

Ordinarily, Windows will update the icons of music files the next time you restart your computer. It displays a QCD icon on all files that will launch QCD when you open them. These buttons cause QCD to register itself immediately, and then update all the icons on your system without having to restart your computer.

File Icons

Add icons from other files on your computer.

Import Icon Pack

Import a QIP or DLL file of icons.

Create Desktop Icon

Click to have a shortcut icon to QCD placed on your desktop.

Create Quicklaunch Icon

Click to have a shortcut icon to QCD placed in the Quicklaunch toolbar.


Preferences: Display

The Display page lets you do the following:

  • Control how QCD displays controls and text

  • Control the behavior of the playback progress slider

  • Controls when the music browser appears

  • Specify what information (Album, Artist, etc.) appears on the QCD icon in the taskbar

To display the Display page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Display.

Description of items on page:

Item: | Description:
Auto scroll display text | Set to enable scrolling of artist, album and track title information in the player if the text is longer than the display area
Blink playing track | Set to have the currently playing track blink in the playlist, otherwise the track will just remain highlighted
Show time with hours | Set to have the timer and playlist times show with hours placeholder if duration is longer than 60 minutes
Scroll song title in taskbar | Set to have the song title scroll in the taskbar icon
Always on Litestep Virtual Desktops | Litestep is a popular program that allows customization of Windows (and more, see http://www.litestep.com). Set this option to have QCD stay on all virtual desktops when using Litestep.
Text Transition animations | Set to allow random text changing animations when a track completes playback.
Show ToolTips | Set to have ToolTips appear when hovering the mouse over controls
Artist/Album separator | Set to the preferred method of delimiting the artist and album information in player and playlist
Snap to windows at X pixels | Set to the preferred distance which automatic alignment will occur with other windows or desktop edges. Set to 0 for no auto-alignment.
Progress Slider | Note: QCD's progress slider can operate on the current track or it can operate on the entire playlist. That is, it can treat the entire playlist as one continuous track that you can seek to random points in instantly.
Corresponds with timer | If the timer is set to track time, the progress slider will be relative to the current track. If the timer is set to playlist time, the progress slider will be relative to the entire playlist.
Relative to current track | The progress slider will be relative to the current track.
Relative to entire playlist | The progress slider will be relative to the entire playlist.
Music Browser |
Auto-launch music browser for new media | Set to allow the music browser to appear when there is related content available for the current track. Otherwise the browser must be opened manually.
Auto-update music browser on track change | Set to have the music browser update the related content automatically whenever the current track is changed.
Format of song title for taskbar icon | Allows configuration of how the text on the player's icon in the taskbar will appear.


Preferences: Playlists

The Playlists page lets you do the following:

  • Control how QCD maintains the current playlist

  • Set up a folder to use as a "Playlist folder" :playlists found under this folder will be listed in the Load Playlist menu.

To display the Playlists page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Playlists.

Description of items on page:

Item: | Description:
Restore previous playlist on startup | Set to have the same list of tracks loaded when QCD starts as when it was last closed.
Playlist Loading Menu | Note: The playlist loading menu is part of the Add button menu (#32 in the base skin)
Set Folder | Click to set folder to where your playlists are saved
Include playlists within subfolders | Set to also include any playlists in the subfolders of your playlist folder
Menu rows | Set to the maximum number of rows you prefer to have in a single menu column.
Menu columns | Set to the maximum number of columns you prefer to have in a single menu row.


Preferences: Playback

The Playback page lets you do the following:

  • Control how QCD plays songs in the playlist.

To display the Playback page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Playback.

Description of items on page:

Item: | Description:
Automatically play first track added to empty playlist | Set to allow QCD to begin playing when the first track is added to its playlist.
Manual playlist advance (stop after each track) | Set to have playback stop after each track. This is so QCD won't start playing the next track without user intervention.
Repeat | Sets repeat to off, single track, or entire playlist.
Shuffle | Turns on random track selection.


Preferences: Encoding

The Encoding page lets you do the following:

  • Select and configure the format QCD encodes your music files into. (wav, mp3, etc.)

  • Choose and edit a filename template to control how your encoded files are named.

  • Automate creating playlists of your encoded music.

To display the Encoding page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Encoding.

Description of items on page:

Item: | Description:
Select Encoding Format | Choose the format QCD will encode files into. This is a list of all the currently installed QCD encoder plug-ins.
Configure Format | Opens the encoder plug-in settings window. The contents of this window depend on the encoder plug-in currently selected.
Root Output Folder | Click to set the folder to store the encoded files.
Output folder\filename template | Select a built-in filename template to control the locations and filenames of encoded music files.
Filename Template Editor | Click to edit the filename template for more precise control over locations and filenames of encoded audio files.
When converting... | Sets the output folder of encoded files to the same folder as the audio source.
Add encoded... | Adds all completed encodes to the QCD Playlist.
Utilize DSP... | Encodes audio with DSP enhancements and modifications.
Create playlist... | Automates M3U or PLS (or both) playlist creation of the encoded files.

For more information about the encoder, see: Encoder Controls.

For information about encoding music files, see How To: Encode Music Files.

To learn about encoder plug-ins, go to: Plug-ins: Encoders.


Preferences: Tray Icon

QCD's tray icon gives a quick and flexible way to control QCD without having the player take up valuable screen area.

The Tray Icon page lets you do the following:

  • Controls the display of the QCD icon in the Windows system tray (icons by clock in taskbar)

  • Set up the QCD functions launched with different mouse clicks (double-click, right-click, etc.) on the icon in the system tray

To display the Tray Icon page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Tray Icon.

Description of items on page:

Item: | Description:
Show icon in system tray | Select to have QCD's tray icon show at all times
Show icon in system tray only | Select to have QCD's tray icon show at all times, and to remove QCD's taskbar icon
Show icon in system tray when minimized | Select to have QCD's tray icon show when QCD is minimized. The taskbar icon will be removed when minimized.
No tray icon | Select to have no tray icon show.
Selectable Mouse Functions | Set the preferred functions for each combination of mouse-clicks. Leave a field blank to have no special function occur.


Preferences: QuickTrack

The QuickTrack page lets you do the following:

  • Set up how the QuickTrack menu behaves. (You bring up the QuickTrack menu by right-clicking on the track information area)

To display the QuickTrack page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then QuickTrack.

Description of items on page:

Item: | Description:
Show track times | Set to show the play duration for each of the tracks
Show total times | Set to show the total play duration for all tracks (plus for each Artist and Album if set)
Show album names | Set to show album names
Show playlist number | Set to show the playlist number for each track
Separate popup for each CD-ROM | Set to have each CD-ROM's tracks appear in its own popup menu
Sort by: |
Current Playlist Order | Select to have QuickTrack display in the same order as the playlist
Playlist Number | Select to have QuickTrack display in numbered order
Album / Artist / Track # | Select to have QuickTrack display sorted alphabetically
Separate popup for each |
Artist | Set to have each artist appear in its own popup menu
Album | Set to have each album appear in its own popup menu within an artist popup menu
Menu rows | Set to the maximum number of rows you prefer to have in a single menu column.
Menu columns | Set to the maximum number of columns you prefer to have in a single menu row.

For information about using QuickTrack, see Using QuickTrack.


Preferences: Visual Effects

The Visual Effects page lets you do the following:

  • Control the behavior of visualization plug-ins, such as how much computation priority to allocate to displaying visualizations, or how often the visualizations cycle

  • Set up fullscreen visual effects resolution

To display the Visual Effects page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Visual Effects.

Description of items on page:

Item: | Description:
Visual Effects Priority | Select CPU priority allotted to visual effects.
Cycle Visual Effects | Select when QCD automatically changes to the next available visual effect
Random visual on play | Set to have QCD pick a random visual effect every time playback starts
Fullscreen Video Mode | Select the preferred video mode to use for displaying fullscreen visual effects
Current Frames Per Second | Displays speed of current visual effects


Preferences: Gracenote CDDB

The Gracenote CDDB page lets you do the following:

  • Displays status and settings for the Gracenote CDDB service, which is what provides the Artist and Title information to QCD.

  • Set folder where CDDB control will store its cached information

  • Set the preferred language to use for information downloaded from the CDDB service.

To display the Gracenote CDDB page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Settings then Gracenote CDDB.

Registering with the CDDB service:

Before the player can use the CDDB service to recognize CD's and audio files, you must accept the CDDB agreement that appears when you start the player.

The CDDB registration dialogs will only appear if you are online and are not already registered. If you wish to not register with CDDB, you can avoid having the CDDB registration dialog appear by setting your Internet Connection to 'I have no Internet connection (Never Connect)'

Description of items on page:

Item: | Description:
CDDB Control Info | Click to display information about and the version of the currently installed CDDB control
CDDB Service Status | Click to retrieve the current status messages about the CDDB service. Note: The status message is set by the CDDB service, it does necessarily reflect your registration status with the service.
CDDB Help | Click to open a web page with good information about using the CDDB service.
CDDB Cache Path | Click to set the folder to store the downloaded CDDB information.
CDDB Preferred Language | Select the preferred language to for information retrieved from CDDB. The information will be in the selected language only if it exists on the service in that language.
Update Language List | If the list of languages is empty, click this to update it.


Preferences: Plug-Ins

The Plug-Ins page lets you do the following:

  • Control advanced settings for QCD plug-ins, such as the behavior of the plug-in cache

  • Load any new plug-ins you have installed without restarting QCD

To display the Plug-Ins page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Plug-Ins.

Description of items on page:

Item: | Description:
Plug-in Folder | Click to set the folder where QCD will look for plug-ins
Flush Plug-in Name Cache | Click to clear QCD's plug-in cache. Note: QCD maintains a cache file describing all available plug-ins to help speed time required to startup. Clearing the cache will force QCD to reevaluate all available plug-ins.
Dynamically load newly installed plug-ins | Click to have QCD load any available plug-ins that have been installed since QCD was last launched.

Preferences: Plug-Ins: Input

Input plug-ins provide support for the various audio formats. To play a certain format, the input plug-in for it must be listed and it must be check-marked.

Which input plug-ins is used for each format is determined by file-extension. However when there is more than one input plug-in available that support the same format, the plug-in higher in the list will be used first. Move your preferred plug-ins higher in the list.

Most input plug-ins have a number of options that change how they behave. To view a plug-ins options highlight the plug-in and then click Configure.

Preferences: Plug-Ins: Playback

Playback plug-ins play the audio. These plug-ins can provide vital playback features such as crossfading and volume control. Select the one playback plug-in that meets your audio needs.

Most playback plug-ins have a number of options that change how they behave. To view a plug-ins options highlight the plug-in and then click Configure.

Preferences: Plug-Ins: Encoders

Encoder plug-ins can convert any supported audio into another format.

To begin encoding, right-click a track in the playlist and choose from the Convert menu options.

Note: Make sure each encoder plug-in is properly configured before you begin encoding. To configure an encoder plug-in, highlight the plug-in and then click Configure.

For more information about encoder settings, see: Preferences: Encoding.

Preferences: Plug-Ins: Visuals

Visual plug-ins provide visual graphics to match the audio as is plays. Check-mark all the visuals you wish to have available when playing.

Preferences: Plug-Ins: DSP

Digital Signal Processing plug-ins can enhance or otherwise alter the audio as it plays. Multiple DSP plug-ins can be used at the same time.

Effects provided by the DSP plug-ins are applied in the order the plug-ins are listed. Only the check-marked plug-ins will be used.

Preferences: Plug-Ins: Libraries

Library plug-ins are for storing and retrieving information about the music in the playlist. Check all of the library plug-ins you wish to use. QCD will query each plug-in in the order they are listed for information about each track. The first plug-in to respond successfully with information will be used.

Preferences: Plug-Ins: General

General plug-ins can provide almost any feature to QCD. You will have to experiment with each plug-in to understand what they do. Check the plug-ins you wish to use.


Preferences: Skins

The Skins page lets you do the following:

  • Set the folder to use for storing skins

  • Get more information about individual skins, skin families, or skin kids

  • Examine the different modes of the selected skin family

  • Make custom family of skin modes

  • Delete skins you don't want

To display the Skins page:

  • In the top left corner of the base skin , click the Main Menu button, choose Preferences, and then click Skins.

Description of items on page:

Item: | Description:
Skins Folder | Click to set where QCD should look for and save skins
All Skins | Click to list all installed skins
Families | Click to list all installed skins which have multiple modes
Kids | Click to list all installed skins which have only a skin mode
Custom | Click to list all custom made skin families
Modes | Click to list all modes of the current skin
Make Custom | Click to begin the process of making a custom skin family
Delete Skin | Click to delete the currently selected skin

For information about using the Skins pages of the QCD Preferences, see Working with Skins.


Playback Commands

There are lots of helpful hot keys in QCD — here's the list of playback hot key commands.

It's good to know that a list of the hot keys can also be found in the player (in the top left corner of the base skin , click the green Main Menu button, and then choose QCD Player > Credits & Q-tips).

To do this: | Press:
Replace Playlist | Q
Previous Track | W
Next Track | E
Stop | R
Pause | T
Play | Y
Track seek ahead 5 seconds | Right arrow, located below the delete, end, page down keys.
Track seek back 5 seconds | Left arrow, located below the delete, end, page down keys.

See Also

Playlist Commands

Miscellaneous Commands

Skin Control Commands

Visual Effects Commands


Playlist Commands

There are lots of helpful hot keys in QCD — here's the list of Playlist hot key commands.

It's good to know that a list of the hot keys can also be found in the player (in the top-left corner of the base skin , click the green Main Menu button, and then choose QCD Player > Credits & Q-tips).

To do this: | Press:
Toggle selected tracks | Ctrl+X
Delete selected tracks | DELETE, Ctrl+D
Add files or streams | INSERT, Ctrl+O
Add folder of files | SHIFT+INSERT
Select all tracks | Ctrl+A
Random playback of playlist (shuffle) | S
Repeat all tracks | F
Repeat current track | D

See Also

Playback Commands

Miscellaneous Commands

Skin Control Commands

Visual Effects Commands


Miscellaneous Commands

There are lots of helpful hot keys in QCD — here's the list of miscellaneous hot key commands.

It's good to know that a list of the hot keys can also be found in the player (in the top left corner of the base skin , click the green Main Menu button, and then choose QCD Player > Credits & Q-tips).

To go to: | Press:
Preferences | Ctrl+P
Music Browser | Ctrl+M
Extended Info | Ctrl+E
Edit Track Info | Ctrl+I
Segment Editor | Ctrl+G
Always on top | Ctrl+T

See Also

Playback Commands

Playlist Commands

Skin Control Commands

Visual Effects Commands


Skin Control Commands

There are lots of helpful hot keys in QCD — here's the list of skin control hot key commands.

It's good to know that a list of the hot keys can also be found in the player (in the top left corner of the base skin, click the green Main Menu button, and then choose About > Q-tips).

To do this: | Press:
Load base skin | Ctrl+0
Load skin modes 1-9 (if available) | Ctrl+1, Ctrl+2, Ctrl+3...,Ctrl+9
Open skin extensions 1-9 (if available) | Shift+0, Shift+1, Shift+2..., Shift+9
Open skin browser | Ctrl+S
Next skin mode | Alt+S
Refresh skin | F5

See Also

Playback Commands

Playlist Commands

Miscellaneous Commands

Visual Effects Commands


Visual Effects Commands

There are lots of helpful hot keys in QCD — here's the list of visual effects hot key commands.

It's good to know that a list of the hot keys can also be found in the player (in the top left corner of the base skin , click the green Main Menu button, and then choose QCD Player > Credits & Q-tips).

To go to: | Press:
Plug-in browser | Ctrl+B
External Visual Effects | Ctrl+V
Next Visual Effect | Alt+V

See Also

Playback Commands

Playlist Commands

Miscellaneous Commands

Skin Control Commands


Troubleshooting

The volume control does not change the volume level when playing CDs.

Go to QCD Menu > Preferences > Plug-ins > Input, select CD Audio plug-in and click Configure. On the window that comes up, select the Volume Settings tab. In there you can set which volume channel to use with each CD-ROM. Make sure the correct volume channels are associated with the right CD-ROM drives.

The volume always resets back to zero, maximum, or a different level every track.

Make sure you are using QCD's main volume control to set the volume level -- as this is the level used by plug-ins -- not the level set in the Windows mixer.

If you are using the Windows mixer to raise the volume, but QCD's main volume is at zero, the volume will go to zero each time you play.

Why does my system pause every few seconds when I have QCD loaded?

The pauses are caused by the CD Audio plug-in for QCD. This problem usually only occurs on Windows 95 and 98. The CD plug-in is polling the CD-ROM drives in your system in order to update QCD when you do something with them (example: insert a disc). To turn off polling, go to QCD Menu > Preferences > Plug-ins > Input, select CD Audio plug-in and click Configure. On the window that comes up, select the Troubleshooting tab. To change the your CDRom Auto Insert Notification, Right-Click 'My Computer' > Device Manager > CD-ROMs > Settings > Auto Insert Notification.

My system performance gets slow when I display visual effects.

Visual effects plug-ins can put a strain on system resources. This is especially true if you display the External Visual Effects window (by clicking the Visual Effects Window button) and resize the window to be very large. To decrease the resources consumed by the Visual Effects, change the Visual Effects Priority (Preferences > Settings > Visual Effects). If the problem persists even when you don't have the Visual Effects Window displayed, you can turn off the visual effects (QCD Menu > Visuals > None), or change to a skin or mode that does not display the visual effects area.

The visuals don't work with CD-Audio, or are not responsive to CD-Audio.

The visuals in QCD work with every type of media. Sometimes the visual may not look like its working when playing CDs — if this is the case:

  1. Go QCD Menu > Preferences > Plug-ins > Input, select CD Audio plug-in and click Configure. On the window that comes up, select the Advanced - Standard tab.

  2. Make sure Sample input from soundcard for visualizations is checked.

  3. Select the correct Recording Channel.

  4. Click Open Recording Controls and select the 'Options' menu followed by 'Properties'.

  5. Select 'Recording', make sure 'CD-Audio' is checked, and then press 'OK'.

  6. Finally, make sure the 'CD-Audio' isn't on mute.

I can't hear any CD audio from my speakers. QCD plays the CD but there is no sound.

There are four things to try in this case.

  1. It could be the CD audio or main volume channel on your soundcard is muted. Verify this is not the case.

  2. Change the CD Read Method by going to QCD Menu > Preferences > Plug-ins > Input, select CD Audio plug-in and click Configure. On the window that comes up, select the Playback Methods tab. Change the CD Read Method (Digital Audio Extraction or Standard CDRom Playback.

  3. One reason could be that your machine's soundcard does not support sampling CD audio while playing, and QCD turns on sampling (for the visuals) by default.

    • To turn off sampling, go to Preferences > Plug-ins > Input. Then select the CD Audio plug-in, click Configure and select the Advanced - Standard tab. Uncheck the 'sample input from soundcard for visualizations' option. Restart the CD if it's currently playing and your sound should be back.

  4. If you are running Windows 2000, you may need to enable digital CD playback. To enable digital CD playback, follow these steps:

  • Click Start, choose Settings, and then click Control Panel.

  • Double-click System.

  • On the Hardware tab, click Device Manager.

  • In Device Manager, click the + (plus symbol) next to DVD/CD-ROM drives, and then click your CD-ROM drive.

  • On the Action menu, click Properties.

  • On the Properties tab, click to select the Enable digital CD audio for this CD-ROM device.

  • Click OK, and then restart your computer when you are prompted.

I can't connect to CDDB through proxy server.

The most common cause of this problem is incorrect proxy settings in QCD. To verify your proxy setting:

  • Open 'QCD Menu > Preferences > Settings' and view the 'Internet Connection'.

    The Proxy server field should contain your proxy server's hostname followed by a colon and the port number to connect to (example: myproxy.net:8080). Do not add prefixes to the front of the hostname such as 'http=', just enter the hostname.

  • If your proxy requires a username and password to connect, enter them in the respective fields.

  • If all else fails, try contacting your network administrator for proxy connection information.

I can't keep QCD as the default player for CDs, music files, or streams

Some applications are very persistent when it comes to re-registering as the default player for certain types of media. Even after you have registered QCD as the default player, another application may override that registration the next time you launch that application for some other purpose, or restart your computer, or may have a small process always running that restores the application as the default player.

  • First make sure you have followed the instructions in Setting QCD As Your Default Player.

  • Make sure the type of media is one supported by QCD. These are listed in the Default Player page of the QCD Preferences.

  • If a certain type of media continues to launch another application besides QCD, check the documentation or Help file for that application to see if there is some preference setting somewhere that is set to re-register the application as the default player.

Sometimes these Preference settings are rather hard to find. For example in RealPlayer, you need to do the following:

  1. Under the View menu, choose Preferences, and go to the Upgrade tab.

  2. Click the button Auto Restore Settings.

  3. Uncheck any of the media types for which you want QCD to be the default player.

For other applications, consult the Help file or documentation.


Contacting us

Contact us

Contact Us!

If your having problems using Quintessential Player, or just want to make a comment, please send email to the following addresses:

QCD Comments

Name QCD General

Email QCD@quinnware.com

If you have a bug report or feature request, please use the SoloBug tool to submit them.

Download SoloBug Tool: http://www.quinnware.com/contact.html.

If you have any comments regarding the graphics, skin design or the QCD base skin, send email to Matt:

Graphics / Skin Design / Skin Comments

Name Matt Quinn

Email mq@mquinn.org


Preferences: Download Skins

A file that changes the appearance and layout of the QCD player.

Preferences: Skins: Download Skins

The Skins page lets you do the following:

  • Control how and when QCD automatically changes the displayed skin

  • Control skin effects and positioning

To display the Skins page:

  • In the top left corner of the base skin , click the green Main Menu button, choose Preferences, and then click Skins then Download Skins.

Description of items on page:

Item: | Description:
Update Skin List | Click to download latest list of skins
Install | Select a skin from the list, then click Install to automatically download the skin. Note: this will not change the current skin.
Preview | Select a skin from the list, then click Preview to get a preview of the skin. Note: when the skin preview window is open, just single-click another skin to preview it
Unlist | Select a skin from the list, then click Unlist to have it not display in the list. Note: this is to reduce the size of skin list and to stop skins you don't like from getting in the way.
List all | Click to list reset all unlisted skins. All skins will then be listed.

For information about using the Skins pages of the QCD Preferences, see Working with Skins.


Preferences: Skins Options

A file that changes the appearance and layout of the QCD player.

Preferences: Skins: Skin Options

The Skins page lets you do the following:

  • Control how and when QCD automatically changes the displayed skin

  • Control skin effects and positioning

To display the Skins page:

  • In the top left corner of the base skin , click the green Main Menu button, choose Preferences, and then click Skins then Skin Options.

Description of items on page:

Item: | Description:
Double-click window for next skin mode | Set to have QCD change to the next mode when you double-click on the player
Fade-in fixed extensions | Set to have QCD do a fade-in animation when opening skin extensions
Save separate positions for each mode | Set to save each mode of the skin in its own position. Otherwise, each mode will open in the same location. Note: this option is set on a per-skin basis
Random skin on startup | Set to have QCD select a random skin from the installed skins when it starts
Random skin per track | Set to have QCD select a random skin from the installed skins when a track completes
Select random mode from current family only | Set to have QCD select a random mode from the current skin family instead of from all install skins.

For information about using the Skins pages of the QCD Preferences, see Working with Skins.